Bug 604190 - Python aborts with "PyString_InternInPlace: strings only please!" setting sys.exc_type when running pychess-0.10-0.5.20100511hg.fc13
Python aborts with "PyString_InternInPlace: strings only please!" setting sys...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:98a61334462eef4aeb249835bcc...
:
: 605458 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 11:06 EDT by vmf07
Modified: 2011-06-27 14:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.06 KB, text/plain)
2010-06-15 11:06 EDT, vmf07
no flags Details

  None (edit)
Description vmf07 2010-06-15 11:06:53 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python -u /usr/lib/python2.6/site-packages/pychess/Players/PyChess.py
component: pychess
executable: /usr/bin/python
global_uuid: 98a61334462eef4aeb249835bcca100fb917a8de
kernel: 2.6.33.5-112.fc13.i686
package: pychess-0.10-0.5.20100511hg.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
Comment 1 vmf07 2010-06-15 11:06:55 EDT
Created attachment 424188 [details]
File: backtrace
Comment 2 Thomas Spura 2010-06-18 10:12:18 EDT
Thanks for the bug report.

The only reference for 'pychess' was that the core was generated by pychess, but nothing else...

Can you tell, how this can be reproduced?

I'm *guessing* at a python bug, if this is indeed a pychess one, please reassign again :)

Dave, do you have any idea, what this could be?

(As a reference bug #605458 is as strange as this one.)
Comment 3 Dave Malcolm 2010-06-21 12:54:01 EDT
*** Bug 605458 has been marked as a duplicate of this bug. ***
Comment 4 Dave Malcolm 2010-06-21 14:39:16 EDT
What's the output of:
   rpm -q python python-debuginfo python-libs

Are you able to reproduce this problem?


Both this and bug 605458 show a backtrace in which a secondary thread fails with this assertion:
    if (s == NULL || !PyString_Check(s))
        Py_FatalError("PyString_InternInPlace: strings only please!");
within a call to 
PyDict_SetItemString(PyObject *v, const char *key, PyObject *item)
{
    PyObject *kv;
    int err;
    kv = PyString_FromString(key);
    if (kv == NULL)
        return -1;
    PyString_InternInPlace(&kv); /* XXX Should we really? */

called from 
  PySys_SetObject (name=0x60b450c "exc_type"
called from:
  set_exc_info

It looks like an exception has been raised by the secondary thread, which causes a Python frame in that thread to exit early, but setting up sys.exc_type for an "except" or "with" clause fails.  It attempts to intern the string "exc_type", but the resulting PyObject is apparently not a string.

Reading through the code, I can't see how this could happen; need a reproducer to figure this out further.

I'm wondering why the backtrace doesn't contain extra debugging information as described in:
  https://fedoraproject.org/wiki/Features/EasierPythonDebugging

Is there any C code in pychess?  I don't see anything specific to pychess in the list of shared libraries in the attached backtrace.
Comment 5 Thomas Spura 2010-06-22 02:33:35 EDT
(In reply to comment #4)
> I'm wondering why the backtrace doesn't contain extra debugging information as
> described in:
>   https://fedoraproject.org/wiki/Features/EasierPythonDebugging
> 
> Is there any C code in pychess?  I don't see anything specific to pychess in
> the list of shared libraries in the attached backtrace.    

pychess is completely written in python only. The only C code, that could matter is imported, e.g. pygtk.

Hopefully, the submitter is able to reproduce this...
Comment 6 Dave Malcolm 2010-06-30 16:35:18 EDT
(Retitling to make it easier to deal with in bug lists)

Are you able to reproduce this problem?  Does it happen repeatably, or does it seem to be random?

I'm not sure what went wrong here; without further information I'm afraid I'm not going to be able to figure this out.
Comment 7 Bug Zapper 2011-06-02 06:44:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 14:17:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.